#
# Generated Makefile - do not edit!
#
# Edit the Makefile in the project folder instead (../Makefile). Each target
# has a -pre and a -post target defined where you can add customized code.
#
# This makefile implements configuration specific macros and targets.


# Environment
MKDIR=mkdir
CP=cp
GREP=grep
NM=nm
CCADMIN=CCadmin
RANLIB=ranlib
CC=gcc
CCC=g++
CXX=g++
FC=gfortran
AS=as

# Macros
CND_PLATFORM=MinGW-Windows
CND_DLIB_EXT=dll
CND_CONF=Debug
CND_DISTDIR=dist
CND_BUILDDIR=build

# Include project Makefile
include Makefile

# Object Directory
OBJECTDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}

# Object Files
OBJECTFILES= \
	${OBJECTDIR}/_ext/cac718d2/juce_audio_basics.o \
	${OBJECTDIR}/_ext/77ba8092/juce_VST_Wrapper.o \
	${OBJECTDIR}/_ext/c00f9f47/juce_PluginUtilities.o \
	${OBJECTDIR}/_ext/c84f7e6e/juce_audio_processors.o \
	${OBJECTDIR}/_ext/661d15e3/juce_core.o \
	${OBJECTDIR}/_ext/4ba2051/juce_data_structures.o \
	${OBJECTDIR}/_ext/56f5c65d/juce_events.o \
	${OBJECTDIR}/_ext/660a4ecf/juce_graphics.o \
	${OBJECTDIR}/_ext/7a97f8cd/juce_gui_basics.o \
	${OBJECTDIR}/_ext/e78e30df/fir2.o \
	${OBJECTDIR}/Source/ButtonLED.o \
	${OBJECTDIR}/Source/JK_MidiClock.o \
	${OBJECTDIR}/Source/JaySynth.o \
	${OBJECTDIR}/Source/JaySynthAudioProcessorEditor.o \
	${OBJECTDIR}/Source/JaySynthMidiCC.o \
	${OBJECTDIR}/Source/JaySynthMonophonicMGR.o \
	${OBJECTDIR}/Source/JaySynthSound.o \
	${OBJECTDIR}/Source/JaySynthVoice.o \
	${OBJECTDIR}/Source/MidiCC_PopUp.o \
	${OBJECTDIR}/Source/PluginProcessor.o \
	${OBJECTDIR}/Source/VelKey_PopUp.o \
	${OBJECTDIR}/Source/graph_window.o \
	${OBJECTDIR}/Source/synth/blit.o \
	${OBJECTDIR}/Source/synth/env.o \
	${OBJECTDIR}/Source/synth/lfo.o \
	${OBJECTDIR}/Source/synth/noise.o \
	${OBJECTDIR}/Source/synth/param_scale.o \
	${OBJECTDIR}/Source/synth/sine.o \
	${OBJECTDIR}/Source/synth/smooth.o \
	${OBJECTDIR}/Source/synth/synth_debug.o \
	${OBJECTDIR}/Source/synth/vcf.o \
	${OBJECTDIR}/Source/synth/vco.o \
	${OBJECTDIR}/Source/synth/vector_utils.o \
	${OBJECTDIR}/Source/synth/voice.o \
	${OBJECTDIR}/Source/synth/wavetable.o


# C Compiler Flags
CFLAGS=-mwindows -DDISPID_NEWWINDOW3=0 -U__STRICT_ANSI__

# CC Compiler Flags
CCFLAGS=-mwindows -DDISPID_NEWWINDOW3=0 -U__STRICT_ANSI__
CXXFLAGS=-mwindows -DDISPID_NEWWINDOW3=0 -U__STRICT_ANSI__

# Fortran Compiler Flags
FFLAGS=

# Assembler Flags
ASFLAGS=

# Link Libraries and Options
LDLIBSOPTIONS=

# Build Targets
.build-conf: ${BUILD_SUBPROJECTS}
	"${MAKE}"  -f nbproject/Makefile-${CND_CONF}.mk ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libJaySynth.${CND_DLIB_EXT}

${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libJaySynth.${CND_DLIB_EXT}: ${OBJECTFILES}
	${MKDIR} -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}
	${LINK.cc} -o ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libJaySynth.${CND_DLIB_EXT} ${OBJECTFILES} ${LDLIBSOPTIONS} -static-libstdc++ -static-libgcc -mwindows -lwininet -lwinmm -limm32 -lshlwapi -lcomdlg32 -lgdi32 -lole32 -loleaut32 -lversion -lwsock32 -liphlpapi -luuid -lws2_32 -shared

${OBJECTDIR}/_ext/cac718d2/juce_audio_basics.o: ../../../extLib/JUCE/modules/juce_audio_basics/juce_audio_basics.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/cac718d2
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/cac718d2/juce_audio_basics.o ../../../extLib/JUCE/modules/juce_audio_basics/juce_audio_basics.cpp

${OBJECTDIR}/_ext/77ba8092/juce_VST_Wrapper.o: ../../../extLib/JUCE/modules/juce_audio_plugin_client/VST/juce_VST_Wrapper.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/77ba8092
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/77ba8092/juce_VST_Wrapper.o ../../../extLib/JUCE/modules/juce_audio_plugin_client/VST/juce_VST_Wrapper.cpp

${OBJECTDIR}/_ext/c00f9f47/juce_PluginUtilities.o: ../../../extLib/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/c00f9f47
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/c00f9f47/juce_PluginUtilities.o ../../../extLib/JUCE/modules/juce_audio_plugin_client/utility/juce_PluginUtilities.cpp

${OBJECTDIR}/_ext/c84f7e6e/juce_audio_processors.o: ../../../extLib/JUCE/modules/juce_audio_processors/juce_audio_processors.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/c84f7e6e
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/c84f7e6e/juce_audio_processors.o ../../../extLib/JUCE/modules/juce_audio_processors/juce_audio_processors.cpp

${OBJECTDIR}/_ext/661d15e3/juce_core.o: ../../../extLib/JUCE/modules/juce_core/juce_core.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/661d15e3
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/661d15e3/juce_core.o ../../../extLib/JUCE/modules/juce_core/juce_core.cpp

${OBJECTDIR}/_ext/4ba2051/juce_data_structures.o: ../../../extLib/JUCE/modules/juce_data_structures/juce_data_structures.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/4ba2051
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/4ba2051/juce_data_structures.o ../../../extLib/JUCE/modules/juce_data_structures/juce_data_structures.cpp

${OBJECTDIR}/_ext/56f5c65d/juce_events.o: ../../../extLib/JUCE/modules/juce_events/juce_events.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/56f5c65d
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/56f5c65d/juce_events.o ../../../extLib/JUCE/modules/juce_events/juce_events.cpp

${OBJECTDIR}/_ext/660a4ecf/juce_graphics.o: ../../../extLib/JUCE/modules/juce_graphics/juce_graphics.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/660a4ecf
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/660a4ecf/juce_graphics.o ../../../extLib/JUCE/modules/juce_graphics/juce_graphics.cpp

${OBJECTDIR}/_ext/7a97f8cd/juce_gui_basics.o: ../../../extLib/JUCE/modules/juce_gui_basics/juce_gui_basics.cpp
	${MKDIR} -p ${OBJECTDIR}/_ext/7a97f8cd
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/7a97f8cd/juce_gui_basics.o ../../../extLib/JUCE/modules/juce_gui_basics/juce_gui_basics.cpp

${OBJECTDIR}/_ext/e78e30df/fir2.o: ../../libsrc/fir/fir2.c
	${MKDIR} -p ${OBJECTDIR}/_ext/e78e30df
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/_ext/e78e30df/fir2.o ../../libsrc/fir/fir2.c

${OBJECTDIR}/Source/ButtonLED.o: Source/ButtonLED.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/ButtonLED.o Source/ButtonLED.cpp

${OBJECTDIR}/Source/JK_MidiClock.o: Source/JK_MidiClock.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JK_MidiClock.o Source/JK_MidiClock.cpp

${OBJECTDIR}/Source/JaySynth.o: Source/JaySynth.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JaySynth.o Source/JaySynth.cpp

${OBJECTDIR}/Source/JaySynthAudioProcessorEditor.o: Source/JaySynthAudioProcessorEditor.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JaySynthAudioProcessorEditor.o Source/JaySynthAudioProcessorEditor.cpp

${OBJECTDIR}/Source/JaySynthMidiCC.o: Source/JaySynthMidiCC.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JaySynthMidiCC.o Source/JaySynthMidiCC.cpp

${OBJECTDIR}/Source/JaySynthMonophonicMGR.o: Source/JaySynthMonophonicMGR.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JaySynthMonophonicMGR.o Source/JaySynthMonophonicMGR.cpp

${OBJECTDIR}/Source/JaySynthSound.o: Source/JaySynthSound.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JaySynthSound.o Source/JaySynthSound.cpp

${OBJECTDIR}/Source/JaySynthVoice.o: Source/JaySynthVoice.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/JaySynthVoice.o Source/JaySynthVoice.cpp

${OBJECTDIR}/Source/MidiCC_PopUp.o: Source/MidiCC_PopUp.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/MidiCC_PopUp.o Source/MidiCC_PopUp.cpp

${OBJECTDIR}/Source/PluginProcessor.o: Source/PluginProcessor.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/PluginProcessor.o Source/PluginProcessor.cpp

${OBJECTDIR}/Source/VelKey_PopUp.o: Source/VelKey_PopUp.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/VelKey_PopUp.o Source/VelKey_PopUp.cpp

${OBJECTDIR}/Source/graph_window.o: Source/graph_window.cpp
	${MKDIR} -p ${OBJECTDIR}/Source
	${RM} "$@.d"
	$(COMPILE.cc) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/graph_window.o Source/graph_window.cpp

${OBJECTDIR}/Source/synth/blit.o: Source/synth/blit.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/blit.o Source/synth/blit.c

${OBJECTDIR}/Source/synth/env.o: Source/synth/env.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/env.o Source/synth/env.c

${OBJECTDIR}/Source/synth/lfo.o: Source/synth/lfo.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/lfo.o Source/synth/lfo.c

${OBJECTDIR}/Source/synth/noise.o: Source/synth/noise.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/noise.o Source/synth/noise.c

${OBJECTDIR}/Source/synth/param_scale.o: Source/synth/param_scale.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/param_scale.o Source/synth/param_scale.c

${OBJECTDIR}/Source/synth/sine.o: Source/synth/sine.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/sine.o Source/synth/sine.c

${OBJECTDIR}/Source/synth/smooth.o: Source/synth/smooth.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/smooth.o Source/synth/smooth.c

${OBJECTDIR}/Source/synth/synth_debug.o: Source/synth/synth_debug.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/synth_debug.o Source/synth/synth_debug.c

${OBJECTDIR}/Source/synth/vcf.o: Source/synth/vcf.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/vcf.o Source/synth/vcf.c

${OBJECTDIR}/Source/synth/vco.o: Source/synth/vco.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/vco.o Source/synth/vco.c

${OBJECTDIR}/Source/synth/vector_utils.o: Source/synth/vector_utils.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/vector_utils.o Source/synth/vector_utils.c

${OBJECTDIR}/Source/synth/voice.o: Source/synth/voice.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/voice.o Source/synth/voice.c

${OBJECTDIR}/Source/synth/wavetable.o: Source/synth/wavetable.c
	${MKDIR} -p ${OBJECTDIR}/Source/synth
	${RM} "$@.d"
	$(COMPILE.c) -g -DDEBUG -DSYNTH_DEBUG -DWIN32 -D_DEBUG -D_WINDOWS -Dfir_float_t=double -I../../libsrc -I../../../extLib/JUCE -IJuceLibraryCode -I../../../extLib/vst2/vstsdk2.4 -std=c11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/Source/synth/wavetable.o Source/synth/wavetable.c

# Subprojects
.build-subprojects:

# Clean Targets
.clean-conf: ${CLEAN_SUBPROJECTS}
	${RM} -r ${CND_BUILDDIR}/${CND_CONF}

# Subprojects
.clean-subprojects:

# Enable dependency checking
.dep.inc: .depcheck-impl

include .dep.inc
